Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.61.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
77.61.0.0
Broadcast address
77.61.127.255
First usable
77.61.0.1
Last usable
77.61.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D3D0000 · Integer 1295843328 to 1295876095
Reverse DNS zones
0.61.77.in-addr.arpa
1.61.77.in-addr.arpa
2.61.77.in-addr.arpa
3.61.77.in-addr.arpa
4.61.77.in-addr.arpa
5.61.77.in-addr.arpa
6.61.77.in-addr.arpa
7.61.77.in-addr.arpa
8.61.77.in-addr.arpa
9.61.77.in-addr.arpa
10.61.77.in-addr.arpa
11.61.77.in-addr.arpa
12.61.77.in-addr.arpa
13.61.77.in-addr.arpa
14.61.77.in-addr.arpa
15.61.77.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.00111101.00000000.0000000077.61.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001101.00111101.00000000.0000000077.61.0.0
Broadcast01001101.00111101.01111111.1111111177.61.127.255
Split into smaller subnets/24

77.61.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.61.0.0/2477.61.0.1 to 77.61.0.25477.61.0.255254
277.61.1.0/2477.61.1.1 to 77.61.1.25477.61.1.255254
377.61.2.0/2477.61.2.1 to 77.61.2.25477.61.2.255254
477.61.3.0/2477.61.3.1 to 77.61.3.25477.61.3.255254
577.61.4.0/2477.61.4.1 to 77.61.4.25477.61.4.255254
677.61.5.0/2477.61.5.1 to 77.61.5.25477.61.5.255254
777.61.6.0/2477.61.6.1 to 77.61.6.25477.61.6.255254
877.61.7.0/2477.61.7.1 to 77.61.7.25477.61.7.255254
977.61.8.0/2477.61.8.1 to 77.61.8.25477.61.8.255254
1077.61.9.0/2477.61.9.1 to 77.61.9.25477.61.9.255254
1177.61.10.0/2477.61.10.1 to 77.61.10.25477.61.10.255254
1277.61.11.0/2477.61.11.1 to 77.61.11.25477.61.11.255254
1377.61.12.0/2477.61.12.1 to 77.61.12.25477.61.12.255254
1477.61.13.0/2477.61.13.1 to 77.61.13.25477.61.13.255254
1577.61.14.0/2477.61.14.1 to 77.61.14.25477.61.14.255254
1677.61.15.0/2477.61.15.1 to 77.61.15.25477.61.15.255254
1777.61.16.0/2477.61.16.1 to 77.61.16.25477.61.16.255254
1877.61.17.0/2477.61.17.1 to 77.61.17.25477.61.17.255254
1977.61.18.0/2477.61.18.1 to 77.61.18.25477.61.18.255254
2077.61.19.0/2477.61.19.1 to 77.61.19.25477.61.19.255254
2177.61.20.0/2477.61.20.1 to 77.61.20.25477.61.20.255254
2277.61.21.0/2477.61.21.1 to 77.61.21.25477.61.21.255254
2377.61.22.0/2477.61.22.1 to 77.61.22.25477.61.22.255254
2477.61.23.0/2477.61.23.1 to 77.61.23.25477.61.23.255254
2577.61.24.0/2477.61.24.1 to 77.61.24.25477.61.24.255254
2677.61.25.0/2477.61.25.1 to 77.61.25.25477.61.25.255254
2777.61.26.0/2477.61.26.1 to 77.61.26.25477.61.26.255254
2877.61.27.0/2477.61.27.1 to 77.61.27.25477.61.27.255254
2977.61.28.0/2477.61.28.1 to 77.61.28.25477.61.28.255254
3077.61.29.0/2477.61.29.1 to 77.61.29.25477.61.29.255254
3177.61.30.0/2477.61.30.1 to 77.61.30.25477.61.30.255254
3277.61.31.0/2477.61.31.1 to 77.61.31.25477.61.31.255254
3377.61.32.0/2477.61.32.1 to 77.61.32.25477.61.32.255254
3477.61.33.0/2477.61.33.1 to 77.61.33.25477.61.33.255254
3577.61.34.0/2477.61.34.1 to 77.61.34.25477.61.34.255254
3677.61.35.0/2477.61.35.1 to 77.61.35.25477.61.35.255254
3777.61.36.0/2477.61.36.1 to 77.61.36.25477.61.36.255254
3877.61.37.0/2477.61.37.1 to 77.61.37.25477.61.37.255254
3977.61.38.0/2477.61.38.1 to 77.61.38.25477.61.38.255254
4077.61.39.0/2477.61.39.1 to 77.61.39.25477.61.39.255254
4177.61.40.0/2477.61.40.1 to 77.61.40.25477.61.40.255254
4277.61.41.0/2477.61.41.1 to 77.61.41.25477.61.41.255254
4377.61.42.0/2477.61.42.1 to 77.61.42.25477.61.42.255254
4477.61.43.0/2477.61.43.1 to 77.61.43.25477.61.43.255254
4577.61.44.0/2477.61.44.1 to 77.61.44.25477.61.44.255254
4677.61.45.0/2477.61.45.1 to 77.61.45.25477.61.45.255254
4777.61.46.0/2477.61.46.1 to 77.61.46.25477.61.46.255254
4877.61.47.0/2477.61.47.1 to 77.61.47.25477.61.47.255254
4977.61.48.0/2477.61.48.1 to 77.61.48.25477.61.48.255254
5077.61.49.0/2477.61.49.1 to 77.61.49.25477.61.49.255254
5177.61.50.0/2477.61.50.1 to 77.61.50.25477.61.50.255254
5277.61.51.0/2477.61.51.1 to 77.61.51.25477.61.51.255254
5377.61.52.0/2477.61.52.1 to 77.61.52.25477.61.52.255254
5477.61.53.0/2477.61.53.1 to 77.61.53.25477.61.53.255254
5577.61.54.0/2477.61.54.1 to 77.61.54.25477.61.54.255254
5677.61.55.0/2477.61.55.1 to 77.61.55.25477.61.55.255254
5777.61.56.0/2477.61.56.1 to 77.61.56.25477.61.56.255254
5877.61.57.0/2477.61.57.1 to 77.61.57.25477.61.57.255254
5977.61.58.0/2477.61.58.1 to 77.61.58.25477.61.58.255254
6077.61.59.0/2477.61.59.1 to 77.61.59.25477.61.59.255254
6177.61.60.0/2477.61.60.1 to 77.61.60.25477.61.60.255254
6277.61.61.0/2477.61.61.1 to 77.61.61.25477.61.61.255254
6377.61.62.0/2477.61.62.1 to 77.61.62.25477.61.62.255254
6477.61.63.0/2477.61.63.1 to 77.61.63.25477.61.63.255254
6577.61.64.0/2477.61.64.1 to 77.61.64.25477.61.64.255254
6677.61.65.0/2477.61.65.1 to 77.61.65.25477.61.65.255254
6777.61.66.0/2477.61.66.1 to 77.61.66.25477.61.66.255254
6877.61.67.0/2477.61.67.1 to 77.61.67.25477.61.67.255254
6977.61.68.0/2477.61.68.1 to 77.61.68.25477.61.68.255254
7077.61.69.0/2477.61.69.1 to 77.61.69.25477.61.69.255254
7177.61.70.0/2477.61.70.1 to 77.61.70.25477.61.70.255254
7277.61.71.0/2477.61.71.1 to 77.61.71.25477.61.71.255254
7377.61.72.0/2477.61.72.1 to 77.61.72.25477.61.72.255254
7477.61.73.0/2477.61.73.1 to 77.61.73.25477.61.73.255254
7577.61.74.0/2477.61.74.1 to 77.61.74.25477.61.74.255254
7677.61.75.0/2477.61.75.1 to 77.61.75.25477.61.75.255254
7777.61.76.0/2477.61.76.1 to 77.61.76.25477.61.76.255254
7877.61.77.0/2477.61.77.1 to 77.61.77.25477.61.77.255254
7977.61.78.0/2477.61.78.1 to 77.61.78.25477.61.78.255254
8077.61.79.0/2477.61.79.1 to 77.61.79.25477.61.79.255254
8177.61.80.0/2477.61.80.1 to 77.61.80.25477.61.80.255254
8277.61.81.0/2477.61.81.1 to 77.61.81.25477.61.81.255254
8377.61.82.0/2477.61.82.1 to 77.61.82.25477.61.82.255254
8477.61.83.0/2477.61.83.1 to 77.61.83.25477.61.83.255254
8577.61.84.0/2477.61.84.1 to 77.61.84.25477.61.84.255254
8677.61.85.0/2477.61.85.1 to 77.61.85.25477.61.85.255254
8777.61.86.0/2477.61.86.1 to 77.61.86.25477.61.86.255254
8877.61.87.0/2477.61.87.1 to 77.61.87.25477.61.87.255254
8977.61.88.0/2477.61.88.1 to 77.61.88.25477.61.88.255254
9077.61.89.0/2477.61.89.1 to 77.61.89.25477.61.89.255254
9177.61.90.0/2477.61.90.1 to 77.61.90.25477.61.90.255254
9277.61.91.0/2477.61.91.1 to 77.61.91.25477.61.91.255254
9377.61.92.0/2477.61.92.1 to 77.61.92.25477.61.92.255254
9477.61.93.0/2477.61.93.1 to 77.61.93.25477.61.93.255254
9577.61.94.0/2477.61.94.1 to 77.61.94.25477.61.94.255254
9677.61.95.0/2477.61.95.1 to 77.61.95.25477.61.95.255254
9777.61.96.0/2477.61.96.1 to 77.61.96.25477.61.96.255254
9877.61.97.0/2477.61.97.1 to 77.61.97.25477.61.97.255254
9977.61.98.0/2477.61.98.1 to 77.61.98.25477.61.98.255254
10077.61.99.0/2477.61.99.1 to 77.61.99.25477.61.99.255254
10177.61.100.0/2477.61.100.1 to 77.61.100.25477.61.100.255254
10277.61.101.0/2477.61.101.1 to 77.61.101.25477.61.101.255254
10377.61.102.0/2477.61.102.1 to 77.61.102.25477.61.102.255254
10477.61.103.0/2477.61.103.1 to 77.61.103.25477.61.103.255254
10577.61.104.0/2477.61.104.1 to 77.61.104.25477.61.104.255254
10677.61.105.0/2477.61.105.1 to 77.61.105.25477.61.105.255254
10777.61.106.0/2477.61.106.1 to 77.61.106.25477.61.106.255254
10877.61.107.0/2477.61.107.1 to 77.61.107.25477.61.107.255254
10977.61.108.0/2477.61.108.1 to 77.61.108.25477.61.108.255254
11077.61.109.0/2477.61.109.1 to 77.61.109.25477.61.109.255254
11177.61.110.0/2477.61.110.1 to 77.61.110.25477.61.110.255254
11277.61.111.0/2477.61.111.1 to 77.61.111.25477.61.111.255254
11377.61.112.0/2477.61.112.1 to 77.61.112.25477.61.112.255254
11477.61.113.0/2477.61.113.1 to 77.61.113.25477.61.113.255254
11577.61.114.0/2477.61.114.1 to 77.61.114.25477.61.114.255254
11677.61.115.0/2477.61.115.1 to 77.61.115.25477.61.115.255254
11777.61.116.0/2477.61.116.1 to 77.61.116.25477.61.116.255254
11877.61.117.0/2477.61.117.1 to 77.61.117.25477.61.117.255254
11977.61.118.0/2477.61.118.1 to 77.61.118.25477.61.118.255254
12077.61.119.0/2477.61.119.1 to 77.61.119.25477.61.119.255254
12177.61.120.0/2477.61.120.1 to 77.61.120.25477.61.120.255254
12277.61.121.0/2477.61.121.1 to 77.61.121.25477.61.121.255254
12377.61.122.0/2477.61.122.1 to 77.61.122.25477.61.122.255254
12477.61.123.0/2477.61.123.1 to 77.61.123.25477.61.123.255254
12577.61.124.0/2477.61.124.1 to 77.61.124.25477.61.124.255254
12677.61.125.0/2477.61.125.1 to 77.61.125.25477.61.125.255254
12777.61.126.0/2477.61.126.1 to 77.61.126.25477.61.126.255254
12877.61.127.0/2477.61.127.1 to 77.61.127.25477.61.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses